Bug 151383 - up2date not functioning - selection fails - no forward available
up2date not functioning - selection fails - no forward available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-17 09:24 EST by Gerry Tool
Modified: 2007-11-30 17:11 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:29:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerry Tool 2005-03-17 09:24:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050308 Firefox/1.0.1 Fedora/1.0.1-5

Description of problem:
I used yum yesterday to update all but 9 packages that are locked with dependencies. I noticed the rhn icon was throbbing red this morning.  Hovering over it says there are 78 updates.  Opening up2date shows a varying number of packages depending on how I open it (normal behaviour depending on mirror selected.)  The select all button is not functioning. It selects only the first package.  When I select a package, the Forward button does not become available.

Version-Release number of selected component (if applicable):
up2date-4.4.9-1

How reproducible:
Always

Steps to Reproduce:
Start up2date 1.
List packages available 2.
Select all or select a package 3.
  

Actual Results:  Select all only selects the first package

Selecting a package does not reveal the Forward button as ready to use.  Clicking it does nothing.

Expected Results:  Select all should have selected all packages for update.

Selecting any package should "un-gray" the Forward button and allow downloading.

Additional info:
Comment 1 Gerald Henriksen 2005-03-18 00:52:08 EST
I am also experiencing this, this is the error given to the terminal:

Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1160, in selectAll
    area._toggle_row(index)
  File "/usr/share/rhn/up2date_client/checklist.py", line 134, in _toggle_row
    self.toggled_func(val, row_data)
  File "/usr/share/rhn/up2date_client/gui.py", line 281, in updateSelectedSize
    self.__updateSelectedSizeLabel(sizeLabel, state, rowData)
  File "/usr/share/rhn/up2date_client/gui.py", line 275, in
__updateSelectedSizeLabel
    self.pkgsSelected = self.pkgsSelected + 1
TypeError: unsupported operand type(s) for +: 'instance' and 'int'

Comment 2 Maxwell Bottiger 2005-03-19 10:56:34 EST
I too am having this problem, and the output on my terminal window is the same.
 In my case the _only_ time the package list "un-grays" is when I have at least
one kernel selected for installation.  Since I installed those in a seperate run
I cannot install any updates through up2date.
Comment 3 Jason Endress 2005-03-30 01:28:51 EST
I have the exact same problem with the exact same terminal output.  I had run 
up2date and it had installed the newest kernel from 1177 to 1208, while doing 
so it seemed to lockup. Then when I came back after reboot to try again, the 
condition above occured.

Going back to 1177 and uninstalling 1208 i was able to get the forward button 
back.

"Select all packages" only selects the next line item after selected kernel 
and kernel-devel.

I am now using command line up2date to update but am having problems with 
dependancies now.

Comment 4 Sean Earp 2005-03-31 00:53:26 EST
I am also having the described problems.  "Select All" only selects one package
(the first one), and the "forward" button never un-greys...

-Sean
Comment 5 Kyle Pointer 2005-04-09 22:38:08 EDT
Hate to say it, but I have this problem as well. 
Gerry Tool > because this seems to be causing a bunch of people issues I would
suggest up-ing the severity of the bug.  
Comment 6 Joel Rittvo 2005-04-15 09:31:29 EDT
up2date-4.4.14-2 is still broken on my system.
Comment 7 John Thacker 2006-10-29 15:28:11 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 8 John Thacker 2006-11-05 11:29:35 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.